<?php
    require_once 'controladores/principalControllers.php';
    require_once 'controladores/vars.php';
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Material Design Bootstrap</title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.0/css/font-awesome.min.css">
    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- Material Design Bootstrap -->
    <link href="css/mdb.min.css" rel="stylesheet">
    <!-- Your custom styles (optional) -->
    <link href="css/style.css" rel="stylesheet">


    <!-- estilos css de alertas -->
    <link rel="stylesheet" href="css/jquery.toast.css">

    <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
    <!-- alertar -->
    <script type="text/javascript" src="js/jquery.toast.js"></script>

    <script src="js/crud.js"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            selectLanguajes();
        });
    </script>



</head>

<body>

<div class="col-xs-12"><br>    <hr>

    <center><h2>Crud Completo con AJax</h2></center>

    <br>
    <center><button id="btn-salida" class="btn btn-primary" onclick="regis()">Registrar</button></center>

    <center id="forRegister" style="display: none">
        <div  class="row" >

                <div class="col-xs-12 col-md-3">
                    <h5 style="float: right"><b>Lenguaje</b></h5>
                </div>
                <div class="col-xs-12 col-md-7"><form action="" style="width: 100%; ">
                    <input type="text" id="languaje" style="border: 1px solid #d4d1d1; border-radius: 4px;  ">
                </div>
                <div class="col-xs-12"><br><br></div>
                <div class="col-xs-12 col-md-3">
                    <h5 style="float: right"><b>Contenido</b></h5>
                </div>
                <div class="col-xs-12 col-md-7">
                    <input type="text" id="contenido" style="border: 1px solid #d4d1d1; border-radius: 4px;  ">
                </div>
                <input type="reset" id="resertRegister" style="display: none">
            </form>

        </div>
        <div class="col-xs-12"><br>
            <center><button class="btn btn-primary" onclick="registrarLenguaje()">Registrar</button>
            <button class="btn btn-danger" onclick="cancelarRegister()">Cancelar</button></center>
        </div>
    </center>

    <hr><br>
</div>

<div class="container">

    <div class="pagination" style="margin-bottom: 10px; ">
        <div class="col-xs-12 col-md-6">
            <div class="busquedaAvanzada" style="">
                <label style="float: left; font-size: 16px; ">Mostrar</label>
                    <select onchange="selectLanguajes()" id="numPage" style="float: left; margin-left: 10px; border-radius: 3px; padding: 3px; border: 1px solid #d4d1d1; " >
                        <option value="5" selected>5</option>
                        <option value="10">10</option>
                        <option value="50">50</option>
                        <option value="100">100</option>
                    </select> <label style="float: left; margin-left: 10px; font-size: 16px; ">registros
                </label>
            </div>
        </div>
        <div class="col-xs-12 col-md-6">
            <div class="liPagina">
                <input type="number" id="limitePagination" value="0" style="display: none; ">
                <nav aria-label="Page navigation example">
                    <ul class="pagination" id="detalleOpt" style="float: right" >
                        <li class="page-item" id="btAnterior" style="border: 1px solid #cacaca; " >
                            <a class="page-link " href="#" aria-label="Previous" onclick="anterior()" >
                                <span aria-hidden="true">&laquo;</span>
                                <span class="sr-only">Previous</span>
                            </a>
                        </li>
                        <ul class="pagination" id="listPagination"></ul>
                        <li class="page-item" id="btSiguiente" style="border: 1px solid #cacaca; ">
                            <a class="page-link" href="#" aria-label="Next" onclick="siguinte()" >
                                <span aria-hidden="true">&raquo;</span>
                                <span class="sr-only">Next</span>
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>

    <div class="conTable">
        <table id="TableLenguajes" class="table table-bordered" style=" text-align: center; margin: 0 auto; ">
            <tr >
                <th style="text-align: center;"> Leguajes</th>
                <th style="text-align: center;"> Contenido  </th>
                <th colspan="2" style="text-align: center;"> opciones </th>
            </tr>
            <tbody id="contentable"></tbody>
        </table>
    </div>

</div>








<!-- Large modal -->
<button id="detalleLanguaje" class="btn btn-primary" data-toggle="modal" data-target=".myModal" style="display: none"></button>

<div class="modal fade myModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <!--Content-->
        <div class="modal-content">
            <!--Header-->
            <div class="modal-header">
                <h4 style="margin: auto"> Detalles Languaje</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <!--Body-->
            <div class="modal-body" style="padding: 40px; ">
                <form action="">
                    <div class="md-form">
                        <input type="text" id="idLanguaje" style="display: none; ">
                        <input value="John Doe" type="text" id="titleLangueje" class="md-textarea">
                        <label class="active" for="titleLangueje">Title</label>
                    </div>

                    <div class="md-form"><br></div>

                    <div class="md-form">
                        <input value="John Doe" type="text" id="contenidoLangueje" class="md-textarea">
                        <label class="active" for="contenidoLangueje">Contenido</label>
                    </div>

                </form>
            </div>
            <!--Footer-->
            <div class="modal-footer" style="margin: auto;">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".actualizarLanguaje"  >Actualizar</button>
                <button type="button" class="btn btn-danger" data-dismiss="modal" id="cerrarUpLanguaje">Close</button>
            </div>
        </div>
        <!--/.Content-->
    </div>
</div>

<div class="modal fade actualizarLanguaje" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" style="margin-top: 0px;  ">
    <div class="modal-dialog modal-lg">
        <!--Content-->
        <div class="modal-content">
            <!--Body-->
            <div class="modal-body" style="margin: auto; height: 400px; padding-top: 150px;  ">
                <h3 > Estas seguro de actualizar registro ?</h3>
                <br><br>
                <center>
                    <button type="button" class="btn btn-primary"  onclick="actualizarLanguaje()" >Si</button>
                    <button type="button" class="btn btn-danger" id="noActLanguaje" data-dismiss="modal">No</button>
                </center>
            </div>
            <!--Footer-->
        </div>
        <!--/.Content-->
    </div>
</div>



<!-- Large modal -->
<button id="ModalDeleteLanguaje" class="btn btn-primary" data-toggle="modal" data-target=".deleteLanguaje" style="display: none"></button>

<div class="modal fade deleteLanguaje" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true" style="margin-top: 0px;  ">
    <div class="modal-dialog modal-lg">
        <!--Content-->
        <div class="modal-content">
            <!--Body-->
            <div class="modal-body" style="margin: auto; height: 400px; padding-top: 150px;  ">
                <input type="text" id="idDelLanguaje" style="display: none; ">
                <h3 > Estas seguro de Eliminar lenguaje <br> <span id="languajeDetalle"></span> ?</h3>
                <br><br>
                <center>
                    <button type="button" class="btn btn-primary"  onclick="deleteLanguaje()" >Si</button>
                    <button type="button" class="btn btn-danger" id="noDeleteLang" data-dismiss="modal">No</button>
                </center>
            </div>
            <!--Footer-->
        </div>
        <!--/.Content-->
    </div>
</div>






    <!-- /Start your project here-->
    <!-- SCRIPTS -->
    <!-- JQuery
    <script type="text/javascript" src="js/jquery-3.1.1.min.js"></script>-->
    <!-- Bootstrap tooltips -->
    <script type="text/javascript" src="js/tether.min.js"></script>
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="js/bootstrap.min.js"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="js/mdb.min.js"></script>
</body>

</html>
